Package ch.qos.logback.classic.pattern

## Class NopThrowableInformationConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.ThrowableHandlingConverter
          - - ch.qos.logback.classic.pattern.NopThrowableInformationConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

    public class NopThrowableInformationConverter
    extends ThrowableHandlingConverter

Always returns an empty string.

This converter is useful to pretend that the converter chain for PatternLayout actually handles exceptions, when in fact it does not. By adding %nopex to the conversion pattern, the user can bypass the automatic addition of %ex conversion pattern for patterns which do not contain a converter handling exceptions.

Users can ignore the existence of this converter, unless they want to suppress the automatic printing of exceptions by `PatternLayout`.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`NopThrowableInformationConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `convert​(ILoggingEvent event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NopThrowableInformationConverter

    public NopThrowableInformationConverter()

### Method Detail

#### convert

    public java.lang.String convert​(ILoggingEvent event)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`